<bugID>820533<Summary>Change Downloads Summary string from "+X other current downloads" to "+ X other downloads"</Summary><Description>I was just talking to Matej Novak about this, and he seems to think that "current" doesn't really add much to what we're trying to convey, and might actually be confusing, since it might be interpreted that these downloads are actually in progress (where in fact, to display this message, we only need at least one download progressing OR paused).

Switching this string to be "+X other downloads" might be more clear.

Also, in shorlander's mock-up, he had a space after the +, so we might want the final string to be:

"+ X other downloads"</Description></bugID>